package com.yonge.cooleshow.auth.service;

import java.util.List;

import com.yonge.cooleshow.auth.api.entity.SysRoleMenu;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysRoleMenuService extends BaseService<Long, SysRoleMenu> {

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<String> queryPermissionsByRoleId(Long roleId);

	/**
	 * 根据角色查询权限列表
	 * @param roleIdList
	 * @return
	 */
	List<String> queryPermissionsByRoleIdList(List<Long> roleIdList);

	/**
	 * 角色添加菜单访问权限
	 * @param roleId
	 * @param menuIds
	 * @return
	 */
    boolean batchInsert(Long roleId, String menuIds);

	/**
	 * 角色删除菜单访问权限
	 * @param roleId
	 * @param menuIds
	 * @return
	 */
    boolean batchdel(Long roleId, String menuIds);
}